On 7 Jun 2007, at 10:40 , Chris Withers wrote:
Philipp von Weitershausen wrote:
* as newer versions of specific zope.* or ZODB packages are released, you can individually install those or not. There'll be no need to wait for another Zope 2 release.

I actually see this as a downside to this. Having a single version number for "zope" is a very good thing imsnho. I have nightmare visions of the future where trying to help people debug their problem involves first trying to figure out what versions of the several million eggs involved they are using and then having to point out that their problem is because eggxyz 2.1.1 isn't compatible with eggabc 0.1a4 and that they really need to move to eggxyz 2.1.0 or eggabc 0.1a5rev2...

(this is a problem Plone has really struggled with in the past)

* I actually went a bit further and eggified Zope 2 (it seemed the logical conclusion). I didn't really explode Zope 2, it's one big egg (except for a few things that are completely independent, such as ExtensionClass, Acquisition, DateTime, zLOG). Though currently not very comfortable to use, the Zope2 egg seems fully functional and I see it as a (if not *the*) way to distribute Zope 2 in the future.

I would still like to see a meta-egg for each of Zope 2 and Zope 3 that gives "prefered" versions of all eggs involved and is still the "standard" distribution...

Yup, we can do this.

Zope-Dev maillist  -  Zope-Dev@zope.org
**  No cross posts or HTML encoding!  **
(Related lists - http://mail.zope.org/mailman/listinfo/zope-announce
http://mail.zope.org/mailman/listinfo/zope )

Reply via email to